package com.example.mygymapp.view.mainActivity.components

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.CornerSize
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.mygymapp.R
import com.example.mygymapp.ui.theme.BlueBlack
import com.example.mygymapp.ui.theme.BlueDark
import com.example.mygymapp.ui.theme.chivoFontFamily

@Preview
@Composable
fun AuthScreen(){
    Column(
        Modifier
            .background(color = BlueBlack)
            .padding(top = 50.dp, start = 15.dp, end = 15.dp),
        verticalArrangement = Arrangement.Top,
        horizontalAlignment = Alignment.CenterHorizontally,
        ) {
        Text(
            text = "MyGym", fontSize = 48.sp, color = Color(0xFFFefcfb),
            fontFamily = chivoFontFamily,
            modifier = Modifier.padding(bottom = 5.dp)
        )
        Image(
            painter = painterResource(R.drawable.heart),
            contentDescription = "",
            modifier = Modifier
                .size(48.dp),
        )

        Box(
            modifier = Modifier
                .size(width = 300.dp, height = 400.dp)
                .padding(top = 50.dp)
                .background(color = BlueDark, shape = RoundedCornerShape(25.dp)),
            content = {
                Text(
                    text = "Авторизация", fontSize = 24.sp, color = Color(0xFFFefcfb),
                    fontFamily = chivoFontFamily,
                    modifier = Modifier
                        .padding(top = 25.dp)
                        .align(alignment = Alignment.TopCenter),
                )



            }
        )
    }

}