package com.example.mygymapp.view.mainActivity.components

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import com.example.mygymapp.R
import com.example.mygymapp.ui.theme.BlueBlack
import com.example.mygymapp.ui.theme.chivoFontFamily

@Preview
@Composable
fun StartScreen()
{
    Column(
        Modifier
            .background(color = BlueBlack)
            .padding(top = 30.dp, start = 15.dp, end = 15.dp),
        verticalArrangement = Arrangement.Center,
        horizontalAlignment = Alignment.CenterHorizontally,

    ) {
        Text(
            text = "MyGym", fontSize = 48.sp, color = Color(0xFFFefcfb),
            fontFamily = chivoFontFamily,
            modifier = Modifier.padding(bottom = 5.dp)
        )
        Image(
            painter = painterResource(R.drawable.heart),
            contentDescription = "",
            modifier = Modifier.size(48.dp)
        )
    }
}